# Uses of Class
org.apache.solr.client.solrj.impl.HttpSolrClientBuilderBase

Packages that use HttpSolrClientBuilderBase
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of HttpSolrClientBuilderBase in org.apache.solr.client.solrj.impl

Classes in org.apache.solr.client.solrj.impl with type parameters of type HttpSolrClientBuilderBase
Modifier and Type
Class
Description
`class`
`HttpSolrClientBuilderBase<B extends HttpSolrClientBuilderBase<?,?>,C extends HttpSolrClientBase>`
Subclasses of HttpSolrClientBuilderBase in org.apache.solr.client.solrj.impl
Modifier and Type
Class
Description
`static class`
`HttpJdkSolrClient.Builder`
Fields in org.apache.solr.client.solrj.impl declared as HttpSolrClientBuilderBase
Modifier and Type
Field
Description
`protected HttpSolrClientBuilderBase<?,?>`
CloudSolrClient.Builder.`internalClientBuilder`
Methods in org.apache.solr.client.solrj.impl that return HttpSolrClientBuilderBase
Modifier and Type
Method
Description
`HttpSolrClientBuilderBase<?,?>`
HttpJdkSolrClient.`builder()`
`abstract HttpSolrClientBuilderBase<?,?>`
HttpSolrClientBase.`builder()`
Methods in org.apache.solr.client.solrj.impl with parameters of type HttpSolrClientBuilderBase
Modifier and Type
Method
Description
`CloudSolrClient.Builder`
CloudSolrClient.Builder.`withHttpClientBuilder(HttpSolrClientBuilderBase<?,?> internalClientBuilder)`
If provided, the CloudSolrClient will build it's internal client using this builder (instead of the empty default one).
`CloudSolrClient.Builder`
CloudSolrClient.Builder.`withInternalClientBuilder(HttpSolrClientBuilderBase<?,?> internalClientBuilder)`
Deprecated.
Constructors in org.apache.solr.client.solrj.impl with parameters of type HttpSolrClientBuilderBase
Modifier
Constructor
Description
`protected`
`HttpSolrClientBase(String serverBaseUrl, HttpSolrClientBuilderBase<?,?> builder)`